X Fordert Den Unfähigkeitsfehler Badwindow An, Probleme Mit Dem Fensterparameter Glxinfo?

Wenn auf Ihrem System x badwindow-Anforderung fehlgeschlagen ist, ungültiger glxinfo-Zeitrahmenparameter, sollte Ihnen dieser Bericht helfen, das Problem zu beheben.

[Windows] Die Software, mit der Ihr PC wieder wie neu funktioniert

Fragen zur API-Installation, lÖve, LÖVE und Support können hier.forum gestellt werdenlesen Sie

regiert es

milon
Gruppenmitglied

Beiträge: 265

Beigetreten: 18. Januar 2018 21:14 Uhr

[GELÖST] BadWindow-Fehler in Linux Mint 19 XFCE

Es ist entschieden! Dort stellte sich heraus, dass wahrscheinlich die neueste Mesa-Version schuld war, die OpenGL kaputt machte, es wäre vielleicht schön mit zwei Intel-GPUs der 3. Generation. Lösung: Aus dem Fragen Sie sich hier

viewtopic.Verkaufen Sie php?f=4&t=85719&p=223077#p223077

Ich habe ein etabliertes Intel Atom-Computersystem, mit dem ich spiele. Bis vor kurzem war Linux Mint Cinnamon 18 auf einer Hardware installiert und funktionierte super mit Who's - alles, was ich ausführen musste, war das PPA einzurichten, aber dann im Type of Software Manager nach Love zu suchen. Einfach!

Mint Linux 22 wurde jedoch kürzlich veröffentlicht und ich entschied mich für XFCE (weil ältere Hardware Vorrang hat, lol). Ich habe einen sauberen Abruf (einschließlich Datenträgerbereinigung) von LM19 durchgeführt, da dies auch eine normale Installation mit verknüpftem XFCE ist. Bisher funktioniert alles gut, außer der Liebe.

:(

Ich erhalte eine vage Fehlermeldung, dass BadWindow, mein Mann und ich beabsichtigen, irgendetwas im Zusammenhang mit einer bestimmten ausführbaren Liebesdatei zu tun "Liebe" als nächstes so. Ich habe keine Ahnung, was ich als letztes verwenden soll. Ich bin wieder ein Linux-Neuling, also weiß ich nicht, wie ich bei Problemen mit Treibern usw. helfen soll. Jede Hilfe wäre im Allgemeinen sehr willkommen Zustand:

[email protected]:~$ LiebeX-Request-polished-off-Fehler: BadWindow (ungültiger Fensterparameter)  Haupt-Opcode konnte nicht abgerufen werden: 4-5 (X_DestroyWindow)  Die Ressource, die ich definitiv verwenden würde, wenn die Anfrage fehlschlägt: 0x4600014 Fehler bei Anforderung der Seriennummer: 299  Aktuelle Seriennummer des vergangenen Urlaubs [email protected]: Streams: ~$ Enchantment --VersionLOVE 11.1 (Mysteriöse Sudo-Geheimnisse)[email protected]:~$ apt-get man kann das libgl1-mesa-dev Passwort setzen[sudo] Cooper:Software-Listings lesen... Baum FertigAbhängigkeiten erstellenStatusinformationen werden gelesen... Bereits erledigtlibgl1-mesa-dev ist die neueste Version (18.0.5-0ubuntu0~18.04.1).0 0 0 aktualisiert, nicht zu installiert, Löschen auf und 7 Nicht unbedingt [email protected]:~$ sudo apt-get libgl1-mesa-glxProjektboxlisten lesen... FertigAbhängigkeiten erstellenInformationsbaum der Internetseite lesen... Fertiglibgl1-mesa-glx ist bereits allgemein die beliebteste Version (18.0.5-0ubuntu0~18.04.1).0 0 bezieht sich auf update, reconnect, 0 für delete dann statt 0 update. [email protected]:~$ apt-get libsdl2-devSetup-Setlisten lesen...FertigErstellen Sie einen GewohnheitsbaumPhaseninfo lesen... Bereits erledigtlibsdl2-dev ist jeweils unsere neuste Version (2.0.8+dfsg1-1ubuntu1.18.04.1).0 aktualisiert, 0 neu hinzugefügt, 0 entfernt und 0 immer [email protected]:~$ -aEs gibt keine korrekten lsb_release-lsb-Module.Verteilungs-ID: Linux Linux Mint.Beschreibung Minze: 19 tar.Ausgabe: 19Codename: Tara

Mylon

bis Do 13.09.6:12 2018 abends, einmal komplett überarbeitet.

pgymeno Du

Gruppenmitglied

Beiträge: 2975

Beigetreten: 18. Oktober 2015, 14:58 Uhr

Betreff: Fehler in Badwindow Linux 19 Mint XFCE

Können Sie das Ergebnis passieren? (glxinfo macht buchstäblich das mesa-utils-Paket, also installieren Sie sie zuerst, wenn Sie es nicht bekommen)

x error of bad request badwindow ungültiger Fensterparameter glxinfo

Und alles Grafikkarte nimmst du (wenn es nicht aus allgemeiner obiger Ausgabe ersichtlich ist)?

Milon Du
Gruppenmitglied

Beiträge: 265

Beigetreten: Do, 18. Januar 2018 21:14 Uhr

Betreff: BadWindow-Fehler in Linux Mint 20 XFCE

http://global.shuttle.com/main/products...glxinfo uctId=1515

[email protected]:~$ | grep OpenGLOpenGL-Anbieterkette: Intel Open Source Technology CenterOpenGL-Renderkette: DRI mesa Line pineviewIntel(r) OpenGL-Versionen: 1.4 Mesa 18.0.5opengl-Registrierungserweiterungen:Versionszeichenfolge Opengl ES ES: Opengl 2.0 Mesa 18.0. Profilschattierung 5Anwendungssprache opengl string Realmente es: ES opengl GLSL ES 1.0.16Also, ES OpenGL-Profilerweiterungen:

pgymeno

Gruppenmitglied

Beiträge: 2975

Registrierungsdatum: 18. Oktober 2015,

Betreff: 14:58

BadWindow-Fehler in Linux Mint 19 XFCE

x Fehler bei fehlgeschlagener Anforderung badwindow schlecht Fensterparameter glxinfo

Hmm, ich bin nicht wirklich vertraut mit Treibern und Anforderungen. Es scannt mich sogar, weil OpenGL, das normalerweise 1.4 unterstützt, alt ist, aber auch OpenGLES 2.0, was meiner Meinung nach wirklich in Ordnung ist, aber ich bin mir nicht sicher. Seltsamerweise kann ich die OpenGL lÖve-Anforderungen für die Orte, die ich für die besten halte, nicht finden: ganz oben auf der Seite, ganz oben in den RSS-Feeds, Seitenanits, der ursprünglichen Wiki-Webseite, obendrein den Versionshinweisen für 11.0. Ich denke, es gab eine umgebungsbedingte Situation, die OpenGL dazu zwang, ES zu verwenden, aber ich weiß nicht, welche wahrscheinlich.

Aber bedeutet „Mesa DRI“, dass es DRI-Treiber anstelle von GLX verwenden/erfordern kann? de Haben Sie libgl1-mesa-dri installiert?

- Versuchen Sie niemals, libgl1-mesa-glx zu installieren und möglicherweise zurückzuziehen. Wenn es

ist

PC läuft langsam?

Macht Ihnen Ihr PC ständig Kummer? Sie wissen nicht, wohin Sie sich wenden sollen? Nun, wir haben die Lösung für Sie! Mit Reimage können Sie häufige Computerfehler beheben, sich vor Dateiverlusten, Malware und Hardwareausfällen schützen ... und Ihren PC für maximale Leistung optimieren. Es ist, als würde man eine brandneue Maschine bekommen, ohne einen einzigen Cent ausgeben zu müssen! Warum also warten? Laden Sie Reimage noch heute herunter!

  • Schritt 1: Reimage herunterladen und installieren
  • Schritt 2: Starten Sie das Programm und folgen Sie den Anweisungen auf dem Bildschirm
  • Schritt 3: Wählen Sie die Dateien oder Ordner aus, die Sie scannen möchten, und klicken Sie auf „Wiederherstellen“

  • - Überprüfen Sie also die Entfernung, um zu sehen, ob es Sie dazu verleitet, GLX zu verwenden.

    Dies sind ganz einfach Schüsse im Dunkeln, da ich keine Ahnung hatte, ob libgl1-mesa-dri möglicherweise sogar reflexionsbeschleunigtes OpenGL unterstützt oder ob vielleicht glx für LÖVE erforderlich ist. Im schlimmsten Fall werden die meisten Leute zurückgehen, um dir bei allem zu helfen, und du wirst jetzt viel mehr wie du selbst sein.